include:
  - afile.yaml
  - bfile.yaml

jenkins:
  url: https://ci.ubports.com
  username: BLAH
  password: BLAH
  template: termplate

archives:
  ubuntu:
    main: http://archive.ubuntu.com/ubuntu/
    ports: http://ports.ubuntu.com/
    suites:
      - bionic
      - xenial
  ubports:
    main: http://repo.ubports.com/
    suites:
      - bionic
      - xenial

# Default values
default:
  # Archive to check for equal or newer version of requested package
  check: ubports
  # Archive to pull sources from
  from: ubuntu
  # Archive to build against
  to: ubports
  # Sutes to import
  suites:
    - bionic
    - xenial

packages:
  mir:
    suites:
      - bionic
    version: 1.1.0
    from: http://ppa.launchpad.net/mir-team/rc/ubuntu/
    to: ubports
    after:
      - eglexternalplatform
      - egl-wayland

  eglexternalplatform:
    suites:
      - bionic
    from: http://ppa.launchpad.net/mir-team/rc/ubuntu/

  egl-wayland:
    suites:
      - bionic
    from: http://ppa.launchpad.net/mir-team/rc/ubuntu/
    backports: true
    after:
      - meson
      - eglexternalplatform

  meson:
    suites:
      - xenial
    from: http://ppa.launchpad.net/mir-team/dev/ubuntu/
    backports: true
